Canalplan Bug Tracker



Anonymous Login
2019-05-22 18:17 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000569Canalplan [All Projects] Bugpublic2019-05-05 13:52
ReporterStephen Atty 
Assigned ToNick Atty 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformGenericOSN/AOS VersionN/A
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000569: RSS feed broken again
DescriptionSorry

This feed does not validate.

    line 284, column 375: XML parsing error: <unknown>:284:375: not well-formed (invalid token) [help]

        ... comment:As per C&RT records</description>


284 looks like:

        <description>Detail text edited by https://canalplan.eu/cgi-bin/showstuff.cgi?mode=username&username=Shultzy. It was changed from: No access to the basin to No access to the basin which is crossed by Rattlechain Bridge
With the comment:As per C&RT records</description>

As this gets mangled by Bugtrack I've put the actual XML into an attachment.
TagsNo tags attached.
Attach Tags (Separate by ",")
Attached Files
  • txt file icon bug569.txt (400 bytes) 2019-03-05 18:23 -
     <description>Detail text edited by &lt;a href="https://canalplan.eu/cgi-bin/showstuff.cgi?mode=username&amp;username=Shultzy"&gt;Shultzy&lt;/a&gt;.  It was changed from: &lt;em&gt;No access to the basin&lt;/em&gt; to &lt;em&gt;No access to the basin which is crossed by Rattlechain Bridge&lt;/em&gt;&lt;br&gt;&lt;b&gt;With the comment:&lt;/b&gt;&lt;em&gt;As per C&RT records&lt;/em&gt;</description>
    txt file icon bug569.txt (400 bytes) 2019-03-05 18:23 +
  • txt file icon bug569-2.txt (400 bytes) 2019-03-05 18:24 -
     <description>Detail text edited by &lt;a href="https://canalplan.eu/cgi-bin/showstuff.cgi?mode=username&amp;username=Shultzy"&gt;Shultzy&lt;/a&gt;.  It was changed from: &lt;em&gt;No access to the basin&lt;/em&gt; to &lt;em&gt;No access to the basin which is crossed by Rattlechain Bridge&lt;/em&gt;&lt;br&gt;&lt;b&gt;With the comment:&lt;/b&gt;&lt;em&gt;As per C&RT records&lt;/em&gt;</description>
    txt file icon bug569-2.txt (400 bytes) 2019-03-05 18:24 +

-Relationships
+Relationships

-Notes

~0002235

Stephen Atty (administrator)

This is the bad line in the RSS feed

~0002236

Peter Stockdale (reporter)

Seems to be working now - even using IE (:-)

~0002238

Nick Atty (administrator)

Once the corrupt item falls off the bottom all will be well again. Getting just the right amount of escaping is tedious in the extreme!

~0002241

Nick Atty (administrator)

I believe I've fixed it now - the comments went through a different route that avoided some of the escaping. Will go live in next release whenever that is.
+Notes

-Issue History
Date Modified Username Field Change
2019-03-05 18:20 Stephen Atty New Issue
2019-03-05 18:20 Stephen Atty Status new => assigned
2019-03-05 18:20 Stephen Atty Assigned To => Nick Atty
2019-03-05 18:23 Stephen Atty Description Updated View Revisions
2019-03-05 18:23 Stephen Atty File Added: bug569.txt
2019-03-05 18:24 Stephen Atty File Added: bug569-2.txt
2019-03-05 18:24 Stephen Atty Note Added: 0002235
2019-03-09 09:17 Peter Stockdale Note Added: 0002236
2019-03-10 19:42 Nick Atty Note Added: 0002238
2019-03-13 07:57 Nick Atty Note Added: 0002241
2019-05-05 13:52 Nick Atty Status assigned => resolved
2019-05-05 13:52 Nick Atty Resolution open => fixed
+Issue History